Subject: Re: "boot: mem=1024M" causes only one CPU is brought up in 2.6.17-mm4

From: Michael Ellerman <[email-masked]>
Date: Tue, 04 Jul 2006 17:18:29 +1000

On Fri, 2006-06-30 at 15:05 +0800, Raid Cheng wrote:
> I installed latest mm kernel 2.6.17-mm4 on ppc64 with RHEL4-U3.
> When i tried to limit the memory to 1024M by modifying yaboot.conf or
> typing on the boot line, I found some error messages in dmesg log
> and only one CPU is brought up by checking /proc/cpuinfo.

I've just posted a fix:
"[PATCH] Fix mem= handling when the memory limit is > RMO".

cheers

-- 
Michael Ellerman
IBM OzLabs

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person